std::condition_variable(3)

NAME
std::condition_variable -

SYNOPSIS

  Public Types
typedef __native_type * native_handle_type

  Public Member Functions
condition_variable (const condition_variable &)=delete
native_handle_type native_handle ()
void notify_all () noexcept
void notify_one () noexcept
condition_variable & operator= (const condition_variable &)=delete
void wait (unique_lock< mutex > &__lock)
template<typename _Predicate > void wait (unique_lock< mutex > &__lock, _Predicate __p)
template<typename _Rep , typename _Period > cv_status wait_for (unique_lock< mutex > &__lock, const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Rep , typename _Period , typename _Predicate > bool wait_for (unique_lock< mutex > &__lock, const chrono::duration< _Rep, _Period > &__rtime, _Predicate __p)
template<typename _Duration > cv_status wait_until (unique_lock< mutex > &__lock, const chrono::time_point< __clock_t, _Duration > &__atime)
template<typename _Clock , typename _Duration > cv_status wait_until (unique_lock< mutex > &__lock, const chrono::time_point< _Clock, _Duration > &__atime)
template<typename _Clock , typename _Duration , typename _Predicate > bool wait_until (unique_lock< mutex > &__lock, const chrono::time_point< _Clock, _Duration > &__atime, _Predicate __p)

Detailed Description

condition_variable

Definition at line 59 of file condition_variable.

Author

Generated automatically by Doxygen for libstdc++ from the source code.